/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2019-06-17
 * 描述            ：维修费用分配表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Cm.vo;
import java.io.Serializable;
import java.util.Date;

import market.Cm.mapper.CmMonthBaseCostMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="CM_MONTH_BASE_COST", namespace=CmMonthBaseCostMapper.class)
public class CmMonthBaseCost extends BaseVO implements Serializable {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 4000749067229696650L;
	/**
	 * 月份如2021-06
	 */
	@Id
	private String prd_num;
	public String getPrd_num() {
		return prd_num;
	}
	public void setPrd_num(String prd_num) {
		this.prd_num = prd_num;
	}
	/**
	 * 第几周(1,2,3,4)
	 */
	@Id
	private String week_no;
	public String getWeek_no() {
		return week_no;
	}
	public void setWeek_no(String week_no) {
		this.week_no = week_no;
	}
	/**
	 * 这周开始第一天 2021-07-01
	 */
	@Column
	private String week_start;
	public String getWeek_start() {
		return week_start;
	}
	public void setWeek_start(String week_start) {
		this.week_start = week_start;
	}
	/**
	 * 这周开始最后一天 2021-07-07
	 */
	@Column
	private String week_end;
	public String getWeek_end() {
		return week_end;
	}
	public void setWeek_end(String week_end) {
		this.week_end = week_end;
	}
	/**
	 * 小纵剪成本
	 */
	@Column
	private String cost_4mm;
	public String getCost_4mm() {
		return cost_4mm;
	}
	public void setCost_4mm(String cost_4mm) {
		this.cost_4mm = cost_4mm;
	}
	/**
	 * 大纵剪成本
	 */
	@Column
	private String cost_12mm;
	public String getCost_12mm() {
		return cost_12mm;
	}
	public void setCost_12mm(String cost_12mm) {
		this.cost_12mm = cost_12mm;
	}
	/**
	 * 横剪成本
	 */
	@Column
	private String cost_3mm;
	public String getCost_3mm() {
		return cost_3mm;
	}
	public void setCost_3mm(String cost_3mm) {
		this.cost_3mm = cost_3mm;
	}
	/**
	 * 退火成本
	 */
	@Column
	private String cost_th;
	public String getCost_th() {
		return cost_th;
	}
	public void setCost_th(String cost_th) {
		this.cost_th = cost_th;
	}
	/**
	 * 平整成本
	 */
	@Column
	private String cost_pz;
	public String getCost_pz() {
		return cost_pz;
	}
	public void setCost_pz(String cost_pz) {
		this.cost_pz = cost_pz;
	}
	/**
	 * 轧机成本
	 */
	@Column
	private String cost_zj;
	public String getCost_zj() {
		return cost_zj;
	}
	public void setCost_zj(String cost_zj) {
		this.cost_zj = cost_zj;
	}
	/**
	 * 酸洗成本
	 */
	@Column
	private String cost_sx;
	public String getCost_sx() {
		return cost_sx;
	}
	public void setCost_sx(String cost_sx) {
		this.cost_sx = cost_sx;
	}
	/**
	 * 备注
	 */
	@Column
	private String memo; 
	public String getMemo() {
		return memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}
	/**
	 * 创建人
	 */
	@Column
	private String create_man;   
	public String getCreate_man() {
		return create_man;
	}
	public void setCreate_man(String create_man) {
		this.create_man = create_man;
	}
	/**
	 * 创建时间
	 */
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;  
	public Date getCreate_time() {
		return create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}
	/**
	 * 修改人
	 */
	@Column
	private String update_man;
	public String getUpdate_man() {
		return update_man;
	}
	public void setUpdate_man(String update_man) {
		this.update_man = update_man;
	}
	/**
	 * 修改时间
	 */
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date getUpdate_time() {
		return update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	} 

}
